Recurring error while attempting to import data from version 3.5.9 to latest version in iOS.

I have attempted to follow the directions you provide in order to import data I have in version 3.5.9 on my iPhone to the version I acquired today. When I open the new version on my phone I get the error message "Import failed. Database is invalid". Most other apps automatically important data from a previous version when you acquire a new version of the same app so why the complicated steps with your app? I have 98 individual accounts with passwords that I'd rather not have to manually enter.
Also, I sync my iPhone with my iMac (so there is a backup of the 1Password data on it) but I can't figure out how to get that data into the new version that is also on my iMac.


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided
Referrer: kb-search:How do I upgrade from 1Password 3 on iOS?, kb:upgrade-ios

Comments

  • BenBen AWS Team

    Team Member

    Hi @kevnic,

    I'm sorry to hear about the trouble importing. To answer your question: 1Password 3 for iOS was a separate app from 1Password 4, 5, and 6 for iOS (which are all the same app). That is the reason for the unfortunately complex upgrade procedure.

    Could you please let me know which version of 1Password you have on your Mac? We may be able to simply sync your data over from the Mac to the iPhone, which you may want to set up anyway.

    Thanks!

    Ben

  • Hi Ben,
    Sorry for my delay in responding. I have version 5.4 (540046) on my Mac.
    Thanks,
    Kevin

  • BenBen AWS Team

    Team Member

    Great, thanks Kevin. You can find instructions on syncing 1Password on your Mac with the new version of 1Password for iOS here:

    https://support.1password.com/guides/ios/syncing.html

    I hope that helps!

    Ben

This discussion has been closed.